Bug 1277327 - Cannot delete files on nfs share
Cannot delete files on nfs share
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-02 23:48 EST by Steve
Modified: 2016-08-09 07:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-09 07:14:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve 2015-11-02 23:48:22 EST
Description of problem:
Nautilus cannot delete file on nfs share. journalctl says: 

Nov 03 05:43:30 zajin gnome-session[1996]: (gnome-shell:2183): mutter-WARNING **: STACK_OP_LOWER_BELOW: window 0x2200020 (JavaEmbedd) not in stack

There is no problem deleting files with terminal.


Version-Release number of selected component (if applicable):
nautilus-3.18.1-1.fc23.x86_64
mutter-3.18.1-4.fc23.x86_64


How reproducible:
Always

Steps to Reproduce:
1. Browse to your nfs-share (with nautilus)
2. Try to delete a file or folder
3.

Actual results:
Nautilus cannot delete file or folder.

Expected results:


Additional info:
Comment 1 Steve 2015-11-02 23:59:47 EST
This only happens with the following parameters in /etc/exports:

/mnt/someshare	192.137.10.*(rw,all_squash) 192.137.18.*(rw,all_squash)

With the following parameters, there is no problem:

/mnt/someshare	192.137.10.*(rw) 192.137.18.*(ro)
Comment 2 Steve 2015-11-23 08:22:34 EST
There is no problem deleting files with F22 or with Windows (7), so this must be a bug with nautilus in F23.
Comment 3 Steve 2015-11-23 08:59:11 EST
And I'm sorry, the message in journalctl (in Description) is not about nautilus; forget about it.
Comment 4 Steve 2015-11-24 00:03:36 EST
No changes in nautilus-3.18.2-2.fc23.x86_64.
Comment 5 Steve 2015-11-24 08:27:21 EST
Moving (cut & past) is also no problem, only delete does not work.

This is an nfs-share who anyone has full access. Therefore there is no trash. Can this be the problem?
Comment 6 Steve 2015-12-17 23:06:58 EST
This bug is not fixed in nautilus-3.18.3-1

nautilus-3.18.3-1.fc23.x86_64
nfs-utils-1.3.3-5.rc2.fc23.x86_64
Comment 7 Steve 2015-12-22 23:34:18 EST
Bug persists in nautilus-3.18.4-1.

nautilus-3.18.4-1.fc23.x86_64
nfs-utils-1.3.3-5.rc2.fc23.x86_64
Comment 8 Steve 2016-01-28 23:58:33 EST
No changes in nautilus-3.18.5-1.

nautilus-3.18.5-1.fc23.x86_64
nfs-utils-1.3.3-6.rc3.fc23.x86_64
Comment 9 Steve 2016-08-09 07:14:25 EDT
This bug is fixed in nautilus-3.20.2-1.fc24.

Note You need to log in before you can comment on or make changes to this bug.